# -*- mode: python -*-

block_cipher = None


a = Analysis(['SotMDeckBuilder.py'],
             pathex=['Z:\\home\\adam\\scratch\\TTS_SotM_Deck'],
             binaries=[],
             datas=[('images/*.png', 'images'),
                    ('fonts/*.ttf', 'fonts'),
                    ('fonts/*.otf', 'fonts'),
                    ('templates/*.json', 'templates')],
             hiddenimports=['pillow'],
             hookspath=[],
             runtime_hooks=[],
             excludes=[],
             win_no_prefer_redirects=False,
             win_private_assemblies=False,
             cipher=block_cipher)
pyz = PYZ(a.pure, a.zipped_data,
             cipher=block_cipher)
exe = EXE(pyz,
          a.scripts,
          exclude_binaries=True,
          name='SotMDeckBuilder',
          debug=False,
          strip=False,
          upx=True,
          console=True )
coll = COLLECT(exe,
               a.binaries,
               a.zipfiles,
               a.datas,
               strip=False,
               upx=True,
               name='SotMDeckBuilder')
